package org.dromara.mall.trade.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.mall.trade.domain.bo.MallOrderEvaluateBo;
import org.dromara.mall.trade.domain.vo.MallOrderEvaluateVo;

import java.util.Collection;
import java.util.List;

/**
 * 订单评价Service接口
 *
 * @author pengles
 */
public interface MallOrderEvaluateService {

    /**
     * 查询订单评价
     */
    MallOrderEvaluateVo queryById(Long id);

    /**
     * 查询订单评价列表
     */
    TableDataInfo<MallOrderEvaluateVo> queryPageList(MallOrderEvaluateBo bo, PageQuery pageQuery);

    /**
     * 查询订单评价列表
     */
    List<MallOrderEvaluateVo> queryList(MallOrderEvaluateBo bo);

    /**
     * 新增订单评价
     */
    Boolean insertByBo(MallOrderEvaluateBo bo);

    /**
     * 修改订单评价
     */
    Boolean updateByBo(MallOrderEvaluateBo bo);

    /**
     * 校验并批量删除订单评价信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 审核评价（通过/驳回）
     */
    Boolean audit(Long id, Integer status);

    /**
     * 回复评价（商家回复）
     */
    Boolean reply(Long id, String replyContent);

}
